NORMALIZE(3G)

NAME
normalize - calculates the unit vector in the same direction as the original vector

DECLARATION

genType normalize(genType v);

genDType normalize(genDType v);

PARAMETERS

v
    Specifies the vector to normalize.

DESCRIPTION

normalize returns a vector with the same direction as its parameter, v, but with length 1.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
normalize (genType) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
normalize (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

length()

COPYRIGHT

Copyright © 2011-2017 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2017 Khronos Group